summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorNeil Brown <neilb@suse.de>2005-08-09 04:25:47 +0000
committerNeil Brown <neilb@suse.de>2005-08-09 04:25:47 +0000
commitdfd4d8ee426fb71a369f494f95fe95b114a33c7c (patch)
tree616d0864cc8cb08085cb72b6ad5ccc545cd8b6a5 /tests
parent586ed40547a380b9f8bd58aa87c12fbaf6eabf65 (diff)
downloadmdadm-dfd4d8ee426fb71a369f494f95fe95b114a33c7c.tar.gz
mdadm-dfd4d8ee426fb71a369f494f95fe95b114a33c7c.tar.xz
mdadm-dfd4d8ee426fb71a369f494f95fe95b114a33c7c.zip
Add write-behind support
Currently this includes --write-behind to set level of write-behind supported --write-mostly to flag devices as write-mostly. Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Diffstat (limited to 'tests')
-rw-r--r--tests/06wrmostly15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/06wrmostly b/tests/06wrmostly
new file mode 100644
index 0000000..51fff60
--- /dev/null
+++ b/tests/06wrmostly
@@ -0,0 +1,15 @@
+set -e
+
+# create a raid1 array with a wrmostly device
+
+$mdadm -CR $md0 -l1 -n3 $dev0 $dev1 --write-mostly $dev2
+sh tests/testdev $md0 1 $mdsize0 64
+
+# unfortunately, we cannot measure if any read requests are going to $dev2
+
+$mdadm -S $md0
+
+$mdadm -CR $md0 -l1 -n3 --write-behind --bitmap=internal $dev0 $dev1 --write-mostly $dev2
+sh tests/testdev $md0 1 $mdsize0 64
+$mdadm -S $md0
+